List Cases
curl --request GET \
--url https://api.eka.care/mr/api/v1/cases \
--header 'Authorization: Bearer <token>' \
--header 'X-Pt-Id: <x-pt-id>'import requests
url = "https://api.eka.care/mr/api/v1/cases"
headers = {
"X-Pt-Id": "<x-pt-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Pt-Id': '<x-pt-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.eka.care/mr/api/v1/cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"cases": [
{
"id": "case_id_1",
"status": "A",
"updated_at": 1753958070,
"item": {
"display_name": "Leg Injury",
"type": "OP",
"hi_type": "OPConsultation",
"partner_meta": {
"facility_id": "GH",
"uhid": "UHID_1234"
},
"created_at": 1753958060,
"occurred_at": 1753958060
}
}
],
"next_token": "i_m_next_page_token"
}Cases
List Cases
This endpoint returns a list of all cases. Results are always ordered by ascending value of updated_at.
Note: Use the offset param (i.e. next_token) for pagination and u_at__gt for incremental sync.
GET
/
mr
/
api
/
v1
/
cases
List Cases
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Patient ID associated with the case
Query Parameters
Token to fetch the next page of results
Return only records with updated_at greater than this value (used for incremental sync)
Example:
1614556800
Was this page helpful?
⌘I

